Package com.enonic.xp.region

## Class ComponentDescriptor.BaseBuilder<T extends ComponentDescriptor.BaseBuilder>

- java.lang.Object
- - com.enonic.xp.region.ComponentDescriptor.BaseBuilder<T>

- Direct Known Subclasses:
    `LayoutDescriptor.Builder`, `PageDescriptor.Builder`, `PartDescriptor.Builder`
  Enclosing class:
    ComponentDescriptor

      public abstract static class ComponentDescriptor.BaseBuilder<T extends ComponentDescriptor.BaseBuilder>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Form` | `config` |
    `protected String` | `description` |
    `protected String` | `descriptionI18nKey` |
    `protected String` | `displayName` |
    `protected String` | `displayNameI18nKey` |
    `protected DescriptorKey` | `key` |
    `protected Instant` | `modifiedTime` |
    `protected String` | `name` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BaseBuilder()` |
    `protected` | `BaseBuilder​(ComponentDescriptor descriptor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `config​(Form value)` |
    `T` | `description​(String description)` |
    `T` | `descriptionI18nKey​(String descriptionI18nKey)` |
    `T` | `displayName​(String displayName)` |
    `T` | `displayNameI18nKey​(String displayNameI18nKey)` |
    `T` | `key​(DescriptorKey key)` |
    `T` | `modifiedTime​(Instant modifiedTime)` |
    `T` | `schemaConfig​(InputTypeConfig value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected DescriptorKey key

    - #### name

          protected String name

    - #### displayName

          protected String displayName

    - #### displayNameI18nKey

          protected String displayNameI18nKey

    - #### description

          protected String description

    - #### descriptionI18nKey

          protected String descriptionI18nKey

    - #### modifiedTime

          protected Instant modifiedTime

    - #### config

          protected Form config

  - ### Constructor Detail

    - #### BaseBuilder

          protected BaseBuilder()

    - #### BaseBuilder

          protected BaseBuilder​(ComponentDescriptor descriptor)

  - ### Method Detail

    - #### key

          public final T key​(DescriptorKey key)

    - #### displayName

          public final T displayName​(String displayName)

    - #### displayNameI18nKey

          public final T displayNameI18nKey​(String displayNameI18nKey)

    - #### description

          public final T description​(String description)

    - #### descriptionI18nKey

          public final T descriptionI18nKey​(String descriptionI18nKey)

    - #### modifiedTime

          public final T modifiedTime​(Instant modifiedTime)

    - #### config

          public final T config​(Form value)

    - #### schemaConfig

          public final T schemaConfig​(InputTypeConfig value)